import { a as _objectWithoutPropertiesLoose, b as _objectSpread, c as _taggedTemplateLiteralLoose } from './chunk-24988f0e.js';
import { css, cx } from 'emotion';
import { useBoxProps } from 'reakit-system-palette/Box';
import { useContrast } from 'reakit-system-palette/utils/contrast';
import { useFade } from 'reakit-system-palette/utils/fade';
import { usePalette } from 'reakit-system-palette/utils/palette';

function _templateObject2() {
  var data = _taggedTemplateLiteralLoose(["\n    background-color: rgba(0, 0, 0, 0.5);\n  "]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteralLoose(["\n    position: fixed;\n    top: 28px;\n    left: 50%;\n    transform: translateX(-50%);\n    border-radius: 0.25rem;\n    padding: 1em;\n    max-height: calc(100vh - 56px);\n    outline: 0;\n    border: 1px solid ", ";\n    color: ", ";\n\n    &:focus {\n      box-shadow: 0 0 0 0.2em ", ";\n    }\n  "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
function useDialogOptions(_ref) {
  var _ref$unstable_system = _ref.unstable_system;
  _ref$unstable_system = _ref$unstable_system === void 0 ? {} : _ref$unstable_system;

  var _ref$unstable_system$ = _ref$unstable_system.palette,
      palette = _ref$unstable_system$ === void 0 ? "background" : _ref$unstable_system$,
      _ref$unstable_system$2 = _ref$unstable_system.fill,
      fill = _ref$unstable_system$2 === void 0 ? "opaque" : _ref$unstable_system$2,
      system = _objectWithoutPropertiesLoose(_ref$unstable_system, ["palette", "fill"]),
      options = _objectWithoutPropertiesLoose(_ref, ["unstable_system"]);

  return _objectSpread({}, options, {
    unstable_system: _objectSpread({
      palette: palette,
      fill: fill
    }, system)
  });
}
function useDialogProps(_ref3, _ref2) {
  var unstable_system = _ref3.unstable_system;

  if (_ref2 === void 0) {
    _ref2 = {};
  }

  var _ref4 = _ref2,
      className = _ref4.className,
      htmlProps = _objectWithoutPropertiesLoose(_ref4, ["className"]);

  var _usePaletteBoxProps = useBoxProps({
    unstable_system: unstable_system
  }),
      _usePaletteBoxProps$s = _usePaletteBoxProps.style,
      color = _usePaletteBoxProps$s.color,
      backgroundColor = _usePaletteBoxProps$s.backgroundColor;

  var foreground = useContrast(backgroundColor) || "black";
  var primaryColor = usePalette("primary");
  var borderColor = useFade(foreground, 0.75);
  var boxShadowColor = useFade(primaryColor || color || foreground, 0.5);
  var dialog = css(_templateObject(), borderColor, color, boxShadowColor);
  return _objectSpread({}, htmlProps, {
    className: cx(className, dialog)
  });
}
function useDialogBackdropProps(_, _ref5) {
  if (_ref5 === void 0) {
    _ref5 = {};
  }

  var _ref6 = _ref5,
      className = _ref6.className,
      htmlProps = _objectWithoutPropertiesLoose(_ref6, ["className"]);

  var dialogBackdrop = css(_templateObject2());
  return _objectSpread({}, htmlProps, {
    className: cx(className, dialogBackdrop)
  });
}

export { useDialogBackdropProps, useDialogOptions, useDialogProps };
