import { a as _objectWithoutPropertiesLoose, b as _objectSpread, c as _taggedTemplateLiteralLoose } from './chunk-24988f0e.js';
import { css, cx } from 'emotion';
import { useBoxProps } from 'reakit-system-palette/Box';
import { useContrast } from 'reakit-system-palette/utils/contrast';
import { useFade } from 'reakit-system-palette/utils/fade';
import { usePalette } from 'reakit-system-palette/utils/palette';
import { unstable_getIn } from 'reakit/Form/utils/getIn';
import { useLighten } from 'reakit-system-palette/utils/lighten';

function _templateObject5() {
  var data = _taggedTemplateLiteralLoose(["\n    display: block;\n    color: ", ";\n    border: 1px solid ", ";\n    border-radius: 0.25rem;\n    padding: 0.5rem 1rem 1rem;\n    & > * {\n      display: block;\n    }\n  "]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = _taggedTemplateLiteralLoose(["\n    display: block;\n    margin: 0 0 0.5rem 0 !important;\n\n    input[type=\"checkbox\"] + &,\n    input[type=\"radio\"] + & {\n      display: inline-block;\n      margin: 0 0 0 0.5rem !important;\n    }\n  "]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = _taggedTemplateLiteralLoose(["\n    font-size: 0.8em;\n    margin-top: 0.5rem !important;\n  "]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteralLoose(["\n    display: block;\n    width: 100%;\n    border-radius: 0.2rem;\n    padding: 0.5em 0.75em;\n    font-size: 100%;\n    border: 1px solid ", ";\n    color: ", ";\n    margin: 0 !important;\n\n    &:focus {\n      border-color: ", ";\n    }\n  "]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteralLoose(["\n    > *:not(:first-child) {\n      margin-top: 1rem;\n    }\n  "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
function useFormProps(_, _ref) {
  if (_ref === void 0) {
    _ref = {};
  }

  var _ref2 = _ref,
      className = _ref2.className,
      htmlProps = _objectWithoutPropertiesLoose(_ref2, ["className"]);

  var form = css(_templateObject());
  return _objectSpread({}, htmlProps, {
    className: cx(className, form)
  });
}
function useFormInputOptions(_ref3) {
  var _ref3$unstable_system = _ref3.unstable_system;
  _ref3$unstable_system = _ref3$unstable_system === void 0 ? {} : _ref3$unstable_system;

  var _ref3$unstable_system2 = _ref3$unstable_system.fill,
      fill = _ref3$unstable_system2 === void 0 ? "outline" : _ref3$unstable_system2,
      system = _objectWithoutPropertiesLoose(_ref3$unstable_system, ["fill"]),
      options = _objectWithoutPropertiesLoose(_ref3, ["unstable_system"]);

  var isInvalid = Boolean(unstable_getIn(options.touched, options.name) && unstable_getIn(options.errors, options.name));
  return _objectSpread({
    unstable_system: _objectSpread({
      fill: fill
    }, system, {
      palette: isInvalid ? "danger" : system.palette
    })
  }, options);
}
function useFormInputProps(_ref5, _ref4) {
  var unstable_system = _ref5.unstable_system;

  if (_ref4 === void 0) {
    _ref4 = {};
  }

  var _ref6 = _ref4,
      className = _ref6.className,
      htmlProps = _objectWithoutPropertiesLoose(_ref6, ["className"]);

  var _usePaletteBoxProps = useBoxProps({
    unstable_system: unstable_system
  }),
      _usePaletteBoxProps$s = _usePaletteBoxProps.style,
      backgroundColor = _usePaletteBoxProps$s.backgroundColor,
      originalBorderColor = _usePaletteBoxProps$s.borderColor;

  var foreground = useContrast(backgroundColor) || "black";
  var color = useLighten(foreground, 0.3);
  var primary = usePalette("primary");
  var borderColor = useFade(foreground, 0.75);
  var focusBorderColor = useLighten(primary, 0.4);
  var formInput = css(_templateObject2(), originalBorderColor || borderColor, color, originalBorderColor || focusBorderColor);
  return _objectSpread({}, htmlProps, {
    className: cx(className, formInput)
  });
}
function useFormMessageOptions(_ref7) {
  var _ref7$unstable_system = _ref7.unstable_system,
      system = _ref7$unstable_system === void 0 ? {} : _ref7$unstable_system,
      options = _objectWithoutPropertiesLoose(_ref7, ["unstable_system"]);

  var isInvalid = Boolean(unstable_getIn(options.errors, options.name));
  return _objectSpread({
    unstable_system: _objectSpread({}, system, {
      palette: isInvalid ? "danger" : system.palette || "success"
    })
  }, options);
}
function useFormMessageProps(_, _ref8) {
  if (_ref8 === void 0) {
    _ref8 = {};
  }

  var _ref9 = _ref8,
      className = _ref9.className,
      htmlProps = _objectWithoutPropertiesLoose(_ref9, ["className"]);

  var formMessage = css(_templateObject3());
  return _objectSpread({}, htmlProps, {
    className: cx(className, formMessage)
  });
}
function useFormLabelProps(_, _ref10) {
  if (_ref10 === void 0) {
    _ref10 = {};
  }

  var _ref11 = _ref10,
      className = _ref11.className,
      htmlProps = _objectWithoutPropertiesLoose(_ref11, ["className"]);

  var formLabel = css(_templateObject4());
  return _objectSpread({}, htmlProps, {
    className: cx(className, formLabel)
  });
}
function useFormGroupOptions(_ref12) {
  var _ref12$unstable_syste = _ref12.unstable_system;
  _ref12$unstable_syste = _ref12$unstable_syste === void 0 ? {} : _ref12$unstable_syste;

  var _ref12$unstable_syste2 = _ref12$unstable_syste.fill,
      fill = _ref12$unstable_syste2 === void 0 ? "outline" : _ref12$unstable_syste2,
      system = _objectWithoutPropertiesLoose(_ref12$unstable_syste, ["fill"]),
      options = _objectWithoutPropertiesLoose(_ref12, ["unstable_system"]);

  var isInvalid = Boolean(unstable_getIn(options.touched, options.name) && unstable_getIn(options.errors, options.name));
  return _objectSpread({
    unstable_system: _objectSpread({
      fill: fill
    }, system, {
      palette: isInvalid ? "danger" : system.palette
    })
  }, options);
}
function useFormGroupProps(_ref14, _ref13) {
  var unstable_system = _ref14.unstable_system;

  if (_ref13 === void 0) {
    _ref13 = {};
  }

  var _ref15 = _ref13,
      className = _ref15.className,
      htmlProps = _objectWithoutPropertiesLoose(_ref15, ["className"]);

  var _usePaletteBoxProps2 = useBoxProps({
    unstable_system: unstable_system
  }),
      _usePaletteBoxProps2$ = _usePaletteBoxProps2.style,
      backgroundColor = _usePaletteBoxProps2$.backgroundColor,
      originalBorderColor = _usePaletteBoxProps2$.borderColor;

  var foreground = useContrast(backgroundColor) || "black";
  var color = useLighten(foreground, 0.3);
  var borderColor = useFade(foreground, 0.75);
  var formGroup = css(_templateObject5(), color, originalBorderColor || borderColor);
  return _objectSpread({}, htmlProps, {
    className: cx(className, formGroup)
  });
}

export { useFormGroupOptions, useFormGroupProps, useFormInputOptions, useFormInputProps, useFormLabelProps, useFormMessageOptions, useFormMessageProps, useFormProps };
