import { a as _objectWithoutPropertiesLoose, b as _objectSpread, c as _taggedTemplateLiteralLoose } from './chunk-24988f0e.js';
import { css, cx } from 'emotion';
import { useDarken } from 'reakit-system-palette/utils/darken';
import { useContrast } from 'reakit-system-palette/utils/contrast';
import { usePalette } from 'reakit-system-palette/utils/palette';

function _templateObject9() {
  var data = _taggedTemplateLiteralLoose(["\n    appearance: none;\n    margin: 0 0.3em 0 -1.3em;\n    width: 1em;\n    height: 1em;\n    color: inherit;\n    outline: 0;\n\n    &:checked {\n      &:after {\n        content: \"\u2022\";\n        font-size: 1.5em;\n      }\n    }\n  "]);

  _templateObject9 = function _templateObject9() {
    return data;
  };

  return data;
}

function _templateObject8() {
  var data = _taggedTemplateLiteralLoose(["\n    position: relative;\n    line-height: 1.5;\n    border-radius: 0;\n    border: none;\n    background: none;\n    color: inherit;\n    cursor: auto;\n    transition: none;\n\n    &:focus,\n    &:hover,\n    &[aria-expanded=\"true\"] {\n      background-color: ", ";\n      color: ", ";\n      box-shadow: none;\n    }\n  "]);

  _templateObject8 = function _templateObject8() {
    return data;
  };

  return data;
}

function _templateObject7() {
  var data = _taggedTemplateLiteralLoose(["\n    appearance: none;\n    margin: 0 0 0 -1.3em;\n    width: 1em;\n    height: 1em;\n    color: inherit;\n    outline: 0;\n\n    &:checked {\n      &:after {\n        content: \"\u2713\";\n      }\n    }\n  "]);

  _templateObject7 = function _templateObject7() {
    return data;
  };

  return data;
}

function _templateObject6() {
  var data = _taggedTemplateLiteralLoose(["&:after {\n      content: \"", "\";\n      position: absolute;\n      font-size: 0.7em;\n      line-height: inherit;\n      padding: 0.42em 0;\n      ", ": 0.75em;\n    }"]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = _taggedTemplateLiteralLoose(["\n        padding-right: 1.6em;\n      "]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = _taggedTemplateLiteralLoose(["\n    position: relative;\n    ", ";\n\n    ", "\n  "]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = _taggedTemplateLiteralLoose(["\n        &[aria-orientation=\"vertical\"] {\n          margin-top: -0.3em;\n        }\n      "]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteralLoose(["\n    display: flex;\n    border-radius: 0;\n\n    ", ";\n  "]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteralLoose(["\n    display: flex;\n    flex-direction: ", ";\n\n    &[aria-orientation=\"vertical\"] {\n      padding: 0.25em 0;\n    }\n\n    &[aria-orientation=\"horizontal\"] {\n      padding: 0;\n    }\n\n    & > *:not(hr) {\n      line-height: 1.5;\n      padding: 0 ", ";\n      text-align: left;\n      border: 0;\n      background-color: transparent;\n      font-size: 100%;\n      margin: 0;\n      user-select: none;\n\n      &:focus,\n      &:focus-within,\n      &:hover {\n        background-color: ", ";\n        color: ", ";\n        box-shadow: none !important;\n      }\n\n      &:active {\n        background-color: ", " !important;\n      }\n    }\n  "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
function useStaticMenuProps(_ref2, _ref) {
  if (_ref === void 0) {
    _ref = {};
  }

  var unstable_system = _ref2.unstable_system,
      options = _objectWithoutPropertiesLoose(_ref2, ["unstable_system"]);

  var _ref3 = _ref,
      className = _ref3.className,
      htmlProps = _objectWithoutPropertiesLoose(_ref3, ["className"]);

  var primary = usePalette("primary") || "blue";
  var primaryContrast = useContrast(primary);
  var darkPrimary = useDarken(primary, 0.2);
  var isHorizontal = options.orientation === "horizontal";
  var staticMenu = css(_templateObject(), isHorizontal ? "row" : "column", isHorizontal ? "0.5em" : "1.5em", primary, primaryContrast, darkPrimary);
  return _objectSpread({}, htmlProps, {
    className: cx(className, staticMenu)
  });
}
function useMenuOptions(_ref4) {
  var _ref4$unstable_system = _ref4.unstable_system;
  _ref4$unstable_system = _ref4$unstable_system === void 0 ? {} : _ref4$unstable_system;

  var _ref4$unstable_system2 = _ref4$unstable_system.palette,
      palette = _ref4$unstable_system2 === void 0 ? "background" : _ref4$unstable_system2,
      _ref4$unstable_system3 = _ref4$unstable_system.fill,
      fill = _ref4$unstable_system3 === void 0 ? "opaque" : _ref4$unstable_system3,
      system = _objectWithoutPropertiesLoose(_ref4$unstable_system, ["palette", "fill"]),
      options = _objectWithoutPropertiesLoose(_ref4, ["unstable_system"]);

  return _objectSpread({
    unstable_system: _objectSpread({
      palette: palette,
      fill: fill
    }, system)
  }, options);
}
function useMenuProps(options, _ref5) {
  if (_ref5 === void 0) {
    _ref5 = {};
  }

  var _ref6 = _ref5,
      className = _ref6.className,
      htmlProps = _objectWithoutPropertiesLoose(_ref6, ["className"]);

  var parentIsVertical = options.unstable_parent && options.unstable_parent.orientation !== "horizontal";
  var menu = css(_templateObject2(), parentIsVertical && css(_templateObject3()));
  return _objectSpread({}, htmlProps, {
    className: cx(className, menu)
  });
}
function useMenuDisclosureProps(options, _ref7) {
  if (_ref7 === void 0) {
    _ref7 = {};
  }

  var _ref8 = _ref7,
      className = _ref8.className,
      htmlProps = _objectWithoutPropertiesLoose(_ref8, ["className"]);

  var parentIsHorizontal = options.unstable_parent && options.unstable_parent.orientation === "horizontal";
  var dir = options.placement ? options.placement.split("-")[0] : undefined;
  var arrowMap = {
    top: "▲",
    right: "▶",
    bottom: "▼",
    left: "◀"
  };
  var menuDisclosure = css(_templateObject4(), dir !== "left" && !parentIsHorizontal && css(_templateObject5()), dir && !parentIsHorizontal && css(_templateObject6(), arrowMap[dir], dir === "left" ? "left" : "right"));
  return _objectSpread({}, htmlProps, {
    className: cx(className, menuDisclosure)
  });
}
function useMenuItemCheckboxProps(_, _ref9) {
  if (_ref9 === void 0) {
    _ref9 = {};
  }

  var _ref10 = _ref9,
      className = _ref10.className,
      htmlProps = _objectWithoutPropertiesLoose(_ref10, ["className"]);

  var menuItemCheckbox = css(_templateObject7());
  return _objectSpread({}, htmlProps, {
    className: cx(className, menuItemCheckbox)
  });
}
function useMenuItemDisclosureProps(_, _ref11) {
  if (_ref11 === void 0) {
    _ref11 = {};
  }

  var _ref12 = _ref11,
      className = _ref12.className,
      htmlProps = _objectWithoutPropertiesLoose(_ref12, ["className"]);

  var primary = usePalette("primary") || "blue";
  var primaryContrast = useContrast(primary);
  var menuItemDisclosure = css(_templateObject8(), primary, primaryContrast);
  return _objectSpread({}, htmlProps, {
    className: cx(className, menuItemDisclosure)
  });
}
function useMenuItemRadioProps(_, _ref13) {
  if (_ref13 === void 0) {
    _ref13 = {};
  }

  var _ref14 = _ref13,
      className = _ref14.className,
      htmlProps = _objectWithoutPropertiesLoose(_ref14, ["className"]);

  var menuItemRadio = css(_templateObject9());
  return _objectSpread({}, htmlProps, {
    className: cx(className, menuItemRadio)
  });
}

export { useMenuDisclosureProps, useMenuItemCheckboxProps, useMenuItemDisclosureProps, useMenuItemRadioProps, useMenuOptions, useMenuProps, useStaticMenuProps };
