import { a as _objectWithoutPropertiesLoose, b as _objectSpread, c as _taggedTemplateLiteralLoose } from './chunk-24988f0e.js';
import { css, cx } from 'emotion';
import { useBoxProps } from 'reakit-system-palette/Box';
import { useDarken } from 'reakit-system-palette/utils/darken';
import { useContrastRatio } from 'reakit-system-palette/utils/contrast';
import { useFade } from 'reakit-system-palette/utils/fade';
import { usePalette } from 'reakit-system-palette/utils/palette';
import { useLighten } from 'reakit-system-palette/utils/lighten';
import { useIsLight } from 'reakit-system-palette/utils/isLight';

function _templateObject() {
  var data = _taggedTemplateLiteralLoose(["\n    &:not([type=\"checkbox\"]):not([type=\"radio\"]) {\n      transition: box-shadow 0.15s ease-in-out;\n      outline: 0;\n\n      &:focus {\n        box-shadow: 0 0 0 0.2em ", ";\n        position: relative;\n        z-index: 2;\n      }\n    }\n\n    &[aria-disabled=\"true\"] {\n      opacity: 0.5;\n    }\n  "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
function useTabbableProps(_ref2, _ref) {
  if (_ref === void 0) {
    _ref = {};
  }

  var _ref2$unstable_system = _ref2.unstable_system;
  _ref2$unstable_system = _ref2$unstable_system === void 0 ? {} : _ref2$unstable_system;

  var _ref2$unstable_system2 = _ref2$unstable_system.palette,
      palette = _ref2$unstable_system2 === void 0 ? "primary" : _ref2$unstable_system2,
      system = _objectWithoutPropertiesLoose(_ref2$unstable_system, ["palette"]);

  var _ref3 = _ref,
      className = _ref3.className,
      htmlProps = _objectWithoutPropertiesLoose(_ref3, ["className"]);

  var _usePaletteBoxProps = useBoxProps({
    unstable_system: _objectSpread({
      palette: palette
    }, system)
  }),
      _usePaletteBoxProps$s = _usePaletteBoxProps.style,
      color = _usePaletteBoxProps$s.color,
      backgroundColor = _usePaletteBoxProps$s.backgroundColor;

  var dark = usePalette("dark") || "black";
  var background = usePalette("background") || "white";
  var backgroundIsLight = useIsLight(background);
  var strokeColor = backgroundColor || color || dark;
  var contrastRatio = useContrastRatio(background, strokeColor);
  var darker = useDarken(strokeColor, contrastRatio < 1.2 ? 0.25 : 0);
  var lighter = useLighten(strokeColor, contrastRatio < 1.2 ? 0.25 : 0);
  var boxShadowColor = useFade(backgroundIsLight ? darker : lighter, 0.6);
  var tabbable = css(_templateObject(), boxShadowColor);
  return _objectSpread({}, htmlProps, {
    className: cx(className, tabbable)
  });
}

export { useTabbableProps };
