import { a as _objectWithoutPropertiesLoose, b as _objectSpread, c as _taggedTemplateLiteralLoose } from './chunk-24988f0e.js';
import { css, cx } from 'emotion';
import { useBoxProps } from 'reakit-system-palette/Box';
import { useFade } from 'reakit-system-palette/utils/fade';

function _templateObject() {
  var data = _taggedTemplateLiteralLoose(["\n    background-color: ", ";\n    font-size: 0.8em;\n    padding: 0.5rem;\n    border-radius: 0.25rem;\n\n    & > .arrow {\n      background-color: transparent;\n      & .stroke {\n        fill: transparent;\n      }\n      & .fill {\n        fill: ", ";\n      }\n    }\n  "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
function useTooltipOptions(_ref) {
  var _ref$unstable_system = _ref.unstable_system;
  _ref$unstable_system = _ref$unstable_system === void 0 ? {} : _ref$unstable_system;

  var _ref$unstable_system$ = _ref$unstable_system.palette,
      palette = _ref$unstable_system$ === void 0 ? "foreground" : _ref$unstable_system$,
      _ref$unstable_system$2 = _ref$unstable_system.fill,
      fill = _ref$unstable_system$2 === void 0 ? "opaque" : _ref$unstable_system$2,
      system = _objectWithoutPropertiesLoose(_ref$unstable_system, ["palette", "fill"]),
      options = _objectWithoutPropertiesLoose(_ref, ["unstable_system"]);

  return _objectSpread({
    unstable_system: _objectSpread({
      palette: palette,
      fill: fill
    }, system)
  }, options);
}
function useTooltipProps(_ref3, _ref2) {
  var unstable_system = _ref3.unstable_system;

  if (_ref2 === void 0) {
    _ref2 = {};
  }

  var _ref4 = _ref2,
      className = _ref4.className,
      htmlProps = _objectWithoutPropertiesLoose(_ref4, ["className"]);

  var _usePaletteBoxProps = useBoxProps({
    unstable_system: unstable_system
  }),
      backgroundColor = _usePaletteBoxProps.style.backgroundColor;

  var fadeBackgroundColor = useFade(backgroundColor || "black", 0.15);
  var tooltip = css(_templateObject(), fadeBackgroundColor, fadeBackgroundColor);
  return _objectSpread({}, htmlProps, {
    className: cx(className, tooltip)
  });
}

export { useTooltipOptions, useTooltipProps };
