/// <reference types="react" />
import { unstable_TabProps, unstable_TabOptions } from "reakit/Tab/Tab";
import { unstable_TabListProps, unstable_TabListOptions } from "reakit/Tab/TabList";
import { BootstrapBoxOptions } from "./Box";
export declare type BootstrapTabOptions = BootstrapBoxOptions & unstable_TabOptions;
export declare function useTabProps(_: BootstrapTabOptions, { className, ...htmlProps }?: unstable_TabProps): {
    className: string;
    defaultChecked?: boolean | undefined;
    defaultValue?: string | string[] | undefined;
    suppressContentEditableWarning?: boolean | undefined;
    suppressHydrationWarning?: boolean | undefined;
    accessKey?: string | undefined;
    contentEditable?: boolean | undefined;
    contextMenu?: string | undefined;
    dir?: string | undefined;
    draggable?: boolean | undefined;
    hidden?: boolean | undefined;
    id?: string | undefined;
    lang?: string | undefined;
    placeholder?: string | undefined;
    slot?: string | undefined;
    spellCheck?: boolean | undefined;
    style?: import("react").CSSProperties | undefined;
    tabIndex?: number | undefined;
    title?: string | undefined;
    inputMode?: string | undefined;
    is?: string | undefined;
    radioGroup?: string | undefined;
    role?: string | undefined;
    about?: string | undefined;
    datatype?: string | undefined;
    inlist?: any;
    prefix?: string | undefined;
    property?: string | undefined;
    resource?: string | undefined;
    typeof?: string | undefined;
    vocab?: string | undefined;
    autoCapitalize?: string | undefined;
    autoCorrect?: string | undefined;
    autoSave?: string | undefined;
    color?: string | undefined;
    itemProp?: string | undefined;
    itemScope?: boolean | undefined;
    itemType?: string | undefined;
    itemID?: string | undefined;
    itemRef?: string | undefined;
    results?: number | undefined;
    security?: string | undefined;
    unselectable?: "on" | "off" | undefined;
    'aria-activedescendant'?: string | undefined;
    'aria-atomic'?: boolean | "false" | "true" | undefined;
    'aria-autocomplete'?: "none" | "inline" | "list" | "both" | undefined;
    'aria-busy'?: boolean | "false" | "true" | undefined;
    'aria-checked'?: boolean | "false" | "true" | "mixed" | undefined;
    'aria-colcount'?: number | undefined;
    'aria-colindex'?: number | undefined;
    'aria-colspan'?: number | undefined;
    'aria-controls'?: string | undefined;
    'aria-current'?: boolean | "false" | "true" | "page" | "step" | "location" | "date" | "time" | undefined;
    'aria-describedby'?: string | undefined;
    'aria-details'?: string | undefined;
    'aria-disabled'?: boolean | "false" | "true" | undefined;
    'aria-dropeffect'?: "none" | "copy" | "execute" | "link" | "move" | "popup" | undefined;
    'aria-errormessage'?: string | undefined;
    'aria-expanded'?: boolean | "false" | "true" | undefined;
    'aria-flowto'?: string | undefined;
    'aria-grabbed'?: boolean | "false" | "true" | undefined;
    'aria-haspopup'?: boolean | "false" | "true" | "menu" | "listbox" | "tree" | "grid" | "dialog" | undefined;
    'aria-hidden'?: boolean | "false" | "true" | undefined;
    'aria-invalid'?: boolean | "false" | "true" | "grammar" | "spelling" | undefined;
    'aria-keyshortcuts'?: string | undefined;
    'aria-label'?: string | undefined;
    'aria-labelledby'?: string | undefined;
    'aria-level'?: number | undefined;
    'aria-live'?: "off" | "assertive" | "polite" | undefined;
    'aria-modal'?: boolean | "false" | "true" | undefined;
    'aria-multiline'?: boolean | "false" | "true" | undefined;
    'aria-multiselectable'?: boolean | "false" | "true" | undefined;
    'aria-orientation'?: "horizontal" | "vertical" | undefined;
    'aria-owns'?: string | undefined;
    'aria-placeholder'?: string | undefined;
    'aria-posinset'?: number | undefined;
    'aria-pressed'?: boolean | "false" | "true" | "mixed" | undefined;
    'aria-readonly'?: boolean | "false" | "true" | undefined;
    'aria-relevant'?: "additions" | "additions text" | "all" | "removals" | "text" | undefined;
    'aria-required'?: boolean | "false" | "true" | undefined;
    'aria-roledescription'?: string | undefined;
    'aria-rowcount'?: number | undefined;
    'aria-rowindex'?: number | undefined;
    'aria-rowspan'?: number | undefined;
    'aria-selected'?: boolean | "false" | "true" | undefined;
    'aria-setsize'?: number | undefined;
    'aria-sort'?: "none" | "ascending" | "descending" | "other" | undefined;
    'aria-valuemax'?: number | undefined;
    'aria-valuemin'?: number | undefined;
    'aria-valuenow'?: number | undefined;
    'aria-valuetext'?: string | undefined;
    children?: import("react").ReactNode;
    dangerouslySetInnerHTML?: {
        __html: string;
    } | undefined;
    onCopy?: ((event: import("react").ClipboardEvent<any>) => void) | undefined;
    onCopyCapture?: ((event: import("react").ClipboardEvent<any>) => void) | undefined;
    onCut?: ((event: import("react").ClipboardEvent<any>) => void) | undefined;
    onCutCapture?: ((event: import("react").ClipboardEvent<any>) => void) | undefined;
    onPaste?: ((event: import("react").ClipboardEvent<any>) => void) | undefined;
    onPasteCapture?: ((event: import("react").ClipboardEvent<any>) => void) | undefined;
    onCompositionEnd?: ((event: import("react").CompositionEvent<any>) => void) | undefined;
    onCompositionEndCapture?: ((event: import("react").CompositionEvent<any>) => void) | undefined;
    onCompositionStart?: ((event: import("react").CompositionEvent<any>) => void) | undefined;
    onCompositionStartCapture?: ((event: import("react").CompositionEvent<any>) => void) | undefined;
    onCompositionUpdate?: ((event: import("react").CompositionEvent<any>) => void) | undefined;
    onCompositionUpdateCapture?: ((event: import("react").CompositionEvent<any>) => void) | undefined;
    onFocus?: ((event: import("react").FocusEvent<any>) => void) | undefined;
    onFocusCapture?: ((event: import("react").FocusEvent<any>) => void) | undefined;
    onBlur?: ((event: import("react").FocusEvent<any>) => void) | undefined;
    onBlurCapture?: ((event: import("react").FocusEvent<any>) => void) | undefined;
    onChange?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onChangeCapture?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onBeforeInput?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onBeforeInputCapture?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onInput?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onInputCapture?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onReset?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onResetCapture?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onSubmit?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onSubmitCapture?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onInvalid?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onInvalidCapture?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onLoad?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onLoadCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onError?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onErrorCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onKeyDown?: ((event: import("react").KeyboardEvent<any>) => void) | undefined;
    onKeyDownCapture?: ((event: import("react").KeyboardEvent<any>) => void) | undefined;
    onKeyPress?: ((event: import("react").KeyboardEvent<any>) => void) | undefined;
    onKeyPressCapture?: ((event: import("react").KeyboardEvent<any>) => void) | undefined;
    onKeyUp?: ((event: import("react").KeyboardEvent<any>) => void) | undefined;
    onKeyUpCapture?: ((event: import("react").KeyboardEvent<any>) => void) | undefined;
    onAbort?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onAbortCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onCanPlay?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onCanPlayCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onCanPlayThrough?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onCanPlayThroughCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onDurationChange?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onDurationChangeCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onEmptied?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onEmptiedCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onEncrypted?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onEncryptedCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onEnded?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onEndedCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onLoadedData?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onLoadedDataCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onLoadedMetadata?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onLoadedMetadataCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onLoadStart?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onLoadStartCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onPause?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onPauseCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onPlay?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onPlayCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onPlaying?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onPlayingCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onProgress?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onProgressCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onRateChange?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onRateChangeCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onSeeked?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onSeekedCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onSeeking?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onSeekingCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onStalled?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onStalledCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onSuspend?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onSuspendCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onTimeUpdate?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onTimeUpdateCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onVolumeChange?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onVolumeChangeCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onWaiting?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onWaitingCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onClick?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onClickCapture?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onContextMenu?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onContextMenuCapture?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onDoubleClick?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onDoubleClickCapture?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onDrag?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragCapture?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragEnd?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragEndCapture?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragEnter?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragEnterCapture?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragExit?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragExitCapture?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragLeave?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragLeaveCapture?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragOver?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragOverCapture?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragStart?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragStartCapture?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDrop?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDropCapture?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onMouseDown?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseDownCapture?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseEnter?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseLeave?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseMove?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseMoveCapture?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseOut?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseOutCapture?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseOver?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseOverCapture?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseUp?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseUpCapture?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onSelect?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onSelectCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onTouchCancel?: ((event: import("react").TouchEvent<any>) => void) | undefined;
    onTouchCancelCapture?: ((event: import("react").TouchEvent<any>) => void) | undefined;
    onTouchEnd?: ((event: import("react").TouchEvent<any>) => void) | undefined;
    onTouchEndCapture?: ((event: import("react").TouchEvent<any>) => void) | undefined;
    onTouchMove?: ((event: import("react").TouchEvent<any>) => void) | undefined;
    onTouchMoveCapture?: ((event: import("react").TouchEvent<any>) => void) | undefined;
    onTouchStart?: ((event: import("react").TouchEvent<any>) => void) | undefined;
    onTouchStartCapture?: ((event: import("react").TouchEvent<any>) => void) | undefined;
    onPointerDown?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerDownCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerMove?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerMoveCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerUp?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerUpCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerCancel?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerCancelCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerEnter?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerEnterCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerLeave?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerLeaveCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerOver?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerOverCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerOut?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerOutCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onGotPointerCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onGotPointerCaptureCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onLostPointerCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onLostPointerCaptureCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onScroll?: ((event: import("react").UIEvent<any>) => void) | undefined;
    onScrollCapture?: ((event: import("react").UIEvent<any>) => void) | undefined;
    onWheel?: ((event: import("react").WheelEvent<any>) => void) | undefined;
    onWheelCapture?: ((event: import("react").WheelEvent<any>) => void) | undefined;
    onAnimationStart?: ((event: import("react").AnimationEvent<any>) => void) | undefined;
    onAnimationStartCapture?: ((event: import("react").AnimationEvent<any>) => void) | undefined;
    onAnimationEnd?: ((event: import("react").AnimationEvent<any>) => void) | undefined;
    onAnimationEndCapture?: ((event: import("react").AnimationEvent<any>) => void) | undefined;
    onAnimationIteration?: ((event: import("react").AnimationEvent<any>) => void) | undefined;
    onAnimationIterationCapture?: ((event: import("react").AnimationEvent<any>) => void) | undefined;
    onTransitionEnd?: ((event: import("react").TransitionEvent<any>) => void) | undefined;
    onTransitionEndCapture?: ((event: import("react").TransitionEvent<any>) => void) | undefined;
    ref?: ((instance: any) => void) | import("react").RefObject<any> | null | undefined;
    key?: string | number | undefined;
    disabled?: boolean | undefined;
};
export declare type BootstrapTabListOptions = BootstrapBoxOptions & unstable_TabListOptions;
export declare function useTabListProps(_: BootstrapTabListOptions, { className, ...htmlProps }?: unstable_TabListProps): {
    className: string;
    defaultChecked?: boolean | undefined;
    defaultValue?: string | string[] | undefined;
    suppressContentEditableWarning?: boolean | undefined;
    suppressHydrationWarning?: boolean | undefined;
    accessKey?: string | undefined;
    contentEditable?: boolean | undefined;
    contextMenu?: string | undefined;
    dir?: string | undefined;
    draggable?: boolean | undefined;
    hidden?: boolean | undefined;
    id?: string | undefined;
    lang?: string | undefined;
    placeholder?: string | undefined;
    slot?: string | undefined;
    spellCheck?: boolean | undefined;
    style?: import("react").CSSProperties | undefined;
    tabIndex?: number | undefined;
    title?: string | undefined;
    inputMode?: string | undefined;
    is?: string | undefined;
    radioGroup?: string | undefined;
    role?: string | undefined;
    about?: string | undefined;
    datatype?: string | undefined;
    inlist?: any;
    prefix?: string | undefined;
    property?: string | undefined;
    resource?: string | undefined;
    typeof?: string | undefined;
    vocab?: string | undefined;
    autoCapitalize?: string | undefined;
    autoCorrect?: string | undefined;
    autoSave?: string | undefined;
    color?: string | undefined;
    itemProp?: string | undefined;
    itemScope?: boolean | undefined;
    itemType?: string | undefined;
    itemID?: string | undefined;
    itemRef?: string | undefined;
    results?: number | undefined;
    security?: string | undefined;
    unselectable?: "on" | "off" | undefined;
    'aria-activedescendant'?: string | undefined;
    'aria-atomic'?: boolean | "false" | "true" | undefined;
    'aria-autocomplete'?: "none" | "inline" | "list" | "both" | undefined;
    'aria-busy'?: boolean | "false" | "true" | undefined;
    'aria-checked'?: boolean | "false" | "true" | "mixed" | undefined;
    'aria-colcount'?: number | undefined;
    'aria-colindex'?: number | undefined;
    'aria-colspan'?: number | undefined;
    'aria-controls'?: string | undefined;
    'aria-current'?: boolean | "false" | "true" | "page" | "step" | "location" | "date" | "time" | undefined;
    'aria-describedby'?: string | undefined;
    'aria-details'?: string | undefined;
    'aria-disabled'?: boolean | "false" | "true" | undefined;
    'aria-dropeffect'?: "none" | "copy" | "execute" | "link" | "move" | "popup" | undefined;
    'aria-errormessage'?: string | undefined;
    'aria-expanded'?: boolean | "false" | "true" | undefined;
    'aria-flowto'?: string | undefined;
    'aria-grabbed'?: boolean | "false" | "true" | undefined;
    'aria-haspopup'?: boolean | "false" | "true" | "menu" | "listbox" | "tree" | "grid" | "dialog" | undefined;
    'aria-hidden'?: boolean | "false" | "true" | undefined;
    'aria-invalid'?: boolean | "false" | "true" | "grammar" | "spelling" | undefined;
    'aria-keyshortcuts'?: string | undefined;
    'aria-label'?: string | undefined;
    'aria-labelledby'?: string | undefined;
    'aria-level'?: number | undefined;
    'aria-live'?: "off" | "assertive" | "polite" | undefined;
    'aria-modal'?: boolean | "false" | "true" | undefined;
    'aria-multiline'?: boolean | "false" | "true" | undefined;
    'aria-multiselectable'?: boolean | "false" | "true" | undefined;
    'aria-orientation'?: "horizontal" | "vertical" | undefined;
    'aria-owns'?: string | undefined;
    'aria-placeholder'?: string | undefined;
    'aria-posinset'?: number | undefined;
    'aria-pressed'?: boolean | "false" | "true" | "mixed" | undefined;
    'aria-readonly'?: boolean | "false" | "true" | undefined;
    'aria-relevant'?: "additions" | "additions text" | "all" | "removals" | "text" | undefined;
    'aria-required'?: boolean | "false" | "true" | undefined;
    'aria-roledescription'?: string | undefined;
    'aria-rowcount'?: number | undefined;
    'aria-rowindex'?: number | undefined;
    'aria-rowspan'?: number | undefined;
    'aria-selected'?: boolean | "false" | "true" | undefined;
    'aria-setsize'?: number | undefined;
    'aria-sort'?: "none" | "ascending" | "descending" | "other" | undefined;
    'aria-valuemax'?: number | undefined;
    'aria-valuemin'?: number | undefined;
    'aria-valuenow'?: number | undefined;
    'aria-valuetext'?: string | undefined;
    children?: import("react").ReactNode;
    dangerouslySetInnerHTML?: {
        __html: string;
    } | undefined;
    onCopy?: ((event: import("react").ClipboardEvent<any>) => void) | undefined;
    onCopyCapture?: ((event: import("react").ClipboardEvent<any>) => void) | undefined;
    onCut?: ((event: import("react").ClipboardEvent<any>) => void) | undefined;
    onCutCapture?: ((event: import("react").ClipboardEvent<any>) => void) | undefined;
    onPaste?: ((event: import("react").ClipboardEvent<any>) => void) | undefined;
    onPasteCapture?: ((event: import("react").ClipboardEvent<any>) => void) | undefined;
    onCompositionEnd?: ((event: import("react").CompositionEvent<any>) => void) | undefined;
    onCompositionEndCapture?: ((event: import("react").CompositionEvent<any>) => void) | undefined;
    onCompositionStart?: ((event: import("react").CompositionEvent<any>) => void) | undefined;
    onCompositionStartCapture?: ((event: import("react").CompositionEvent<any>) => void) | undefined;
    onCompositionUpdate?: ((event: import("react").CompositionEvent<any>) => void) | undefined;
    onCompositionUpdateCapture?: ((event: import("react").CompositionEvent<any>) => void) | undefined;
    onFocus?: ((event: import("react").FocusEvent<any>) => void) | undefined;
    onFocusCapture?: ((event: import("react").FocusEvent<any>) => void) | undefined;
    onBlur?: ((event: import("react").FocusEvent<any>) => void) | undefined;
    onBlurCapture?: ((event: import("react").FocusEvent<any>) => void) | undefined;
    onChange?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onChangeCapture?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onBeforeInput?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onBeforeInputCapture?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onInput?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onInputCapture?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onReset?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onResetCapture?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onSubmit?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onSubmitCapture?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onInvalid?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onInvalidCapture?: ((event: import("react").FormEvent<any>) => void) | undefined;
    onLoad?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onLoadCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onError?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onErrorCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onKeyDown?: ((event: import("react").KeyboardEvent<any>) => void) | undefined;
    onKeyDownCapture?: ((event: import("react").KeyboardEvent<any>) => void) | undefined;
    onKeyPress?: ((event: import("react").KeyboardEvent<any>) => void) | undefined;
    onKeyPressCapture?: ((event: import("react").KeyboardEvent<any>) => void) | undefined;
    onKeyUp?: ((event: import("react").KeyboardEvent<any>) => void) | undefined;
    onKeyUpCapture?: ((event: import("react").KeyboardEvent<any>) => void) | undefined;
    onAbort?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onAbortCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onCanPlay?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onCanPlayCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onCanPlayThrough?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onCanPlayThroughCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onDurationChange?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onDurationChangeCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onEmptied?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onEmptiedCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onEncrypted?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onEncryptedCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onEnded?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onEndedCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onLoadedData?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onLoadedDataCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onLoadedMetadata?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onLoadedMetadataCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onLoadStart?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onLoadStartCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onPause?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onPauseCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onPlay?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onPlayCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onPlaying?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onPlayingCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onProgress?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onProgressCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onRateChange?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onRateChangeCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onSeeked?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onSeekedCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onSeeking?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onSeekingCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onStalled?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onStalledCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onSuspend?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onSuspendCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onTimeUpdate?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onTimeUpdateCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onVolumeChange?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onVolumeChangeCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onWaiting?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onWaitingCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onClick?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onClickCapture?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onContextMenu?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onContextMenuCapture?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onDoubleClick?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onDoubleClickCapture?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onDrag?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragCapture?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragEnd?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragEndCapture?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragEnter?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragEnterCapture?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragExit?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragExitCapture?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragLeave?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragLeaveCapture?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragOver?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragOverCapture?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragStart?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDragStartCapture?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDrop?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onDropCapture?: ((event: import("react").DragEvent<any>) => void) | undefined;
    onMouseDown?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseDownCapture?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseEnter?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseLeave?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseMove?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseMoveCapture?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseOut?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseOutCapture?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseOver?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseOverCapture?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseUp?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onMouseUpCapture?: ((event: import("react").MouseEvent<any, MouseEvent>) => void) | undefined;
    onSelect?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onSelectCapture?: ((event: import("react").SyntheticEvent<any, Event>) => void) | undefined;
    onTouchCancel?: ((event: import("react").TouchEvent<any>) => void) | undefined;
    onTouchCancelCapture?: ((event: import("react").TouchEvent<any>) => void) | undefined;
    onTouchEnd?: ((event: import("react").TouchEvent<any>) => void) | undefined;
    onTouchEndCapture?: ((event: import("react").TouchEvent<any>) => void) | undefined;
    onTouchMove?: ((event: import("react").TouchEvent<any>) => void) | undefined;
    onTouchMoveCapture?: ((event: import("react").TouchEvent<any>) => void) | undefined;
    onTouchStart?: ((event: import("react").TouchEvent<any>) => void) | undefined;
    onTouchStartCapture?: ((event: import("react").TouchEvent<any>) => void) | undefined;
    onPointerDown?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerDownCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerMove?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerMoveCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerUp?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerUpCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerCancel?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerCancelCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerEnter?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerEnterCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerLeave?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerLeaveCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerOver?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerOverCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerOut?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onPointerOutCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onGotPointerCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onGotPointerCaptureCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onLostPointerCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onLostPointerCaptureCapture?: ((event: import("react").PointerEvent<any>) => void) | undefined;
    onScroll?: ((event: import("react").UIEvent<any>) => void) | undefined;
    onScrollCapture?: ((event: import("react").UIEvent<any>) => void) | undefined;
    onWheel?: ((event: import("react").WheelEvent<any>) => void) | undefined;
    onWheelCapture?: ((event: import("react").WheelEvent<any>) => void) | undefined;
    onAnimationStart?: ((event: import("react").AnimationEvent<any>) => void) | undefined;
    onAnimationStartCapture?: ((event: import("react").AnimationEvent<any>) => void) | undefined;
    onAnimationEnd?: ((event: import("react").AnimationEvent<any>) => void) | undefined;
    onAnimationEndCapture?: ((event: import("react").AnimationEvent<any>) => void) | undefined;
    onAnimationIteration?: ((event: import("react").AnimationEvent<any>) => void) | undefined;
    onAnimationIterationCapture?: ((event: import("react").AnimationEvent<any>) => void) | undefined;
    onTransitionEnd?: ((event: import("react").TransitionEvent<any>) => void) | undefined;
    onTransitionEndCapture?: ((event: import("react").TransitionEvent<any>) => void) | undefined;
    ref?: ((instance: any) => void) | import("react").RefObject<any> | null | undefined;
    key?: string | number | undefined;
};
